Subject: Re: [PATCH v3] clone: add clone.<url>.defaultObjectFilter config

From: Junio C Hamano <[email-masked]>
Date: Fri, 06 Mar 2026 11:33:10 -0800

"brian m. carlson" <[email-masked]> writes:

> We've historically not implemented default filtering for clones because
> it makes it hard to reason about the behaviour of the clone command.
> For instance, if I have a script that clones a repository, it almost
> certainly expects a full clone unless it requested something else.
> ...
> We've traditionally placed this kind of customizable configuration into
> `scalar` instead, which is designed to be configurable and set options
> for large repositories that would want to control clone and fetch
> options.

Hmph, my knee-jerk reaction to the early part of your message was
"oh, but isn't clone a Porcelain (admittedly without corresponding
plumbing) whose defaults and end-user experiences are meant to be
updated from time to time to help users?" but I didn't realize that
we have another class, which is "scalar", these days that we can add
these settings to.  I do not have objections to add something to
"scalar", but I personally feel that the configuration for clone is
such a bad thing to have.

Do we have a way to defeat the configured filter to say "no
filtering, we want everything" from the command line?  If not, that
needs to be addressed, if we were to add this configuration.

Thanks.